zenilib: zenilib/jni/external/libvorbis/lib/scales.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
scales.h File Reference
`#include <math.h>`
`#include "os.h"`

Go to the source code of this file.

## Macros

#define | fromBARK(z) (102.f*(z)-2.f*pow(z,2.f)+.4f*pow(z,3.f)+pow(1.46f,z)-1.f)
#define | fromdB(x) (exp((x)*.11512925f))
#define | fromMEL(m) (1000.f*exp((m)/1442.695f)-1000.f)
#define | fromOC(o) (exp(((o)+5.965784f)*.693147f))
#define | toBARK(n) (13.1f*atan(.00074f*(n))+2.24f*atan((n)*(n)*1.85e-8f)+1e-4f*(n))
#define | todB_nn(x) todB(x)
#define | toMEL(n) (log(1.f+(n)*.001f)*1442.695f)
#define | toOC(n) (log(n)*1.442695f-5.965784f)
#define | VORBIS_IEEE_FLOAT32 1

## Functions

static float | todB (const float *x)
static float | unitnorm (float x)

## Macro Definition Documentation

#define fromBARK | ( |  | z | ) | (102.f*(z)-2.f*pow(z,2.f)+.4f*pow(z,3.f)+pow(1.46f,z)-1.f)

Definition at line 80 of file scales.h.

Referenced by main().

#define fromdB | ( |  | x | ) | (exp((x)*.11512925f))

Definition at line 68 of file scales.h.

Referenced by vorbis_lsp_to_curve().

#define fromMEL | ( |  | m | ) | (1000.f*exp((m)/1442.695f)-1000.f)

Definition at line 82 of file scales.h.

#define fromOC | ( |  | o | ) | (exp(((o)+5.965784f)*.693147f))

Definition at line 88 of file scales.h.

Referenced by _vp_psy_init(), and setup_tone_curves().

#define toBARK | ( |  | n | ) | (13.1f*atan(.00074f*(n))+2.24f*atan((n)*(n)*1.85e-8f)+1e-4f*(n))

Definition at line 79 of file scales.h.

Referenced by _vp_psy_init(), analysis(), floor0_map_lazy_init(), and main().

#define todB_nn | ( |  | x | ) | todB(x)

Definition at line 54 of file scales.h.

#define toMEL | ( |  | n | ) | (log(1.f+(n)*.001f)*1442.695f)

Definition at line 81 of file scales.h.

#define toOC | ( |  | n | ) | (log(n)*1.442695f-5.965784f)

Definition at line 87 of file scales.h.

Referenced by _vp_psy_init(), and setup_tone_curves().

#define VORBIS_IEEE_FLOAT32 1

Definition at line 30 of file scales.h.

## Function Documentation

static float todB | ( | const float * | x | ) |

inlinestatic

Definition at line 44 of file scales.h.

References i, and ix.

Referenced by _ve_amp(), analysis(), main(), and mapping0_forward().

static float unitnorm | ( | float | x | ) |

inlinestatic

Definition at line 33 of file scales.h.

References i, and ix.

Referenced by noise_normalize().